<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>TestFinishEvent (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="TestFinishEvent (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/tooling/events/test/TestFailureResult.html" title="interface in org.gradle.tooling.events.test"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/tooling/events/test/TestOperationDescriptor.html" title="interface in org.gradle.tooling.events.test"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/events/test/TestFinishEvent.html" target="_top">Frames</a></li>
<li><a href="TestFinishEvent.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.tooling.events.test</div>
<h2 title="Interface TestFinishEvent" class="title">Interface TestFinishEvent</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../../org/gradle/tooling/events/FinishEvent.html" title="interface in org.gradle.tooling.events">FinishEvent</a>, <a href="../../../../../org/gradle/tooling/events/ProgressEvent.html" title="interface in org.gradle.tooling.events">ProgressEvent</a>, <a href="../../../../../org/gradle/tooling/events/test/TestProgressEvent.html" title="interface in org.gradle.tooling.events.test">TestProgressEvent</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">TestFinishEvent</span>
extends <a href="../../../../../org/gradle/tooling/events/test/TestProgressEvent.html" title="interface in org.gradle.tooling.events.test">TestProgressEvent</a>, <a href="../../../../../org/gradle/tooling/events/FinishEvent.html" title="interface in org.gradle.tooling.events">FinishEvent</a></pre>
<div class="block">An event that informs about a test having finished its execution. You can query the result of the
 test using <a href="../../../../../org/gradle/tooling/events/test/TestFinishEvent.html#getResult()"><code>getResult()</code></a>.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.4</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/events/test/TestOperationResult.html" title="interface in org.gradle.tooling.events.test">TestOperationResult</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/events/test/TestFinishEvent.html#getResult()">getResult</a></strong>()</code>
<div class="block">Returns the result of the finished test operation.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.tooling.events.test.TestProgressEvent">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.tooling.events.test.<a href="../../../../../org/gradle/tooling/events/test/TestProgressEvent.html" title="interface in org.gradle.tooling.events.test">TestProgressEvent</a></h3>
<code><a href="../../../../../org/gradle/tooling/events/test/TestProgressEvent.html#getDescriptor()">getDescriptor</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.tooling.events.ProgressEvent">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.tooling.events.<a href="../../../../../org/gradle/tooling/events/ProgressEvent.html" title="interface in org.gradle.tooling.events">ProgressEvent</a></h3>
<code><a href="../../../../../org/gradle/tooling/events/ProgressEvent.html#getDisplayName()">getDisplayName</a>, <a href="../../../../../org/gradle/tooling/events/ProgressEvent.html#getEventTime()">getEventTime</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getResult()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getResult</h4>
<pre><a href="../../../../../org/gradle/tooling/events/test/TestOperationResult.html" title="interface in org.gradle.tooling.events.test">TestOperationResult</a>&nbsp;getResult()</pre>
<div class="block">Returns the result of the finished test operation. Currently, the result will be one of the following
 sub-types:

 <ul>
     <li><a href="../../../../../org/gradle/tooling/events/test/TestSuccessResult.html" title="interface in org.gradle.tooling.events.test"><code>TestSuccessResult</code></a></li>
     <li><a href="../../../../../org/gradle/tooling/events/test/TestSkippedResult.html" title="interface in org.gradle.tooling.events.test"><code>TestSkippedResult</code></a></li>
     <li><a href="../../../../../org/gradle/tooling/events/test/TestFailureResult.html" title="interface in org.gradle.tooling.events.test"><code>TestFailureResult</code></a></li>
 </ul></div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/tooling/events/FinishEvent.html#getResult()">getResult</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/tooling/events/FinishEvent.html" title="interface in org.gradle.tooling.events">FinishEvent</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>the result of the finished test operation</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/tooling/events/test/TestFailureResult.html" title="interface in org.gradle.tooling.events.test"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/tooling/events/test/TestOperationDescriptor.html" title="interface in org.gradle.tooling.events.test"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/events/test/TestFinishEvent.html" target="_top">Frames</a></li>
<li><a href="TestFinishEvent.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
